src/Entity/User.php
<?php

namespace App\Entity;

use App\Repository\UserRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Symfony\Component\Security\Core\User\UserInterface;

/**
 * @ORM\Entity(repositoryClass=UserRepository::class)
 * @UniqueEntity(fields={"email"}, message="There is already an account with this email")
 */
class User implements UserInterface
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=180, unique=true)
     */
    private $email;

    /**
     * @ORM\Column(type="json")
     */
    private $roles = [];

    /**
     * @var string The hashed password
     * @ORM\Column(type="string")
     */
    private $password;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $Nom;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $Prenom;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(string $email): self
    {
        $this->email = $email;

        return $this;
    }

    /**
     * A visual identifier that represents this user.
     *
     * @see UserInterface
     */
    public function getUsername(): string
    {
        return (string) $this->email;
    }

    /**
     * @see UserInterface
     */
    public function getRoles(): array
    {
        $roles = $this->roles;
        // guarantee every user at least has ROLE_USER
        $roles[] = 'ROLE_MEMBER';

        return array_unique($roles);
    }

    public function setRoles(array $roles): self
    {
        $this->roles = $roles;

        return $this;
    }

    /**
     * @see UserInterface
     */
    public function getPassword(): string
    {
        return (string) $this->password;
    }

    public function setPassword(string $password): self
    {
        $this->password = $password;

        return $this;
    }

    /**
     * @see UserInterface
     */
    public function getSalt()
    {
        // not needed when using the "bcrypt" algorithm in security.yaml
    }

    /**
     * @see UserInterface
     */
    public function eraseCredentials()
    {
        // If you store any temporary, sensitive data on the user, clear it here
        // $this->plainPassword = null;
    }

    public function getNom(): ?string
    {
        return $this->Nom;
    }

    public function setNom(string $Nom): self
    {
        $this->Nom = $Nom;

        return $this;
    }

    public function getPrenom(): ?string
    {
        return $this->Prenom;
    }

    public function setPrenom(string $Prenom): self
    {
        $this->Prenom = $Prenom;

        return $this;
    }
}

templates/base.html.twig
<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>
			{% block title %}Accueil Espace Balades
			{% endblock %}
		</title>
		{# <link rel="stylesheet" href="build/app.css"> #}
		{{ encore_entry_link_tags('app') }}

		{% block stylesheets %}{% endblock %}
	</head>

	<body>
		<header class="bg-white shadow p-3 mb-5 rounded mb-5">
			<div class="container">
				<div class="row">
					<nav class="col navbar navbar-expand-md sticky-top navbar-light">
						<a
							class="navbar-brand" href="">
							{# {{ path('balades') }} à remplacer quand créée #}
							<img src="{{ asset('/img/logo.svg')}}" width="100px" alt="Logo - Redirige vers l'accueil (liste des balades)" loading="lazy">
						</a>
						{# width du svg à régler en fonction de la taille d'écran - 120 = PC ; rien = mobile #}

						<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
							<span class="navbar-toggler-icon"></span>
						</button>

						<div id="navbarNav" class="collapse navbar-collapse">
							<ul class="navbar-nav">
								<li class="nav-item dropdown d-md-block d-none">
									<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Loal Blue</a>
									{# {{ user.name }} #}
									<div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
										<a class="dropdown-item" href="#">Mon Espace</a>
										<a class="dropdown-item" href="{{ path('app_logout') }}">Déconnection</a>
									</div>
								</li>
								<li class="nav-item"><h2 class="my-4 text-center d-md-none">Lola Blue</h2></li>
								{# {{ app.user.username }} #}
								<li class="nav-item"><a class="nav-link d-md-none" href="#">Mon Espace</a></li>
								{# {{ path(profil) }} #}

								<hr class="dropdown-divider my-4 my-md-0 d-md-none">

								<li class="nav-item"><a href="{{ path('baladelist') }}" class="nav-link active">Espace Balades</a></li>
								<li class="nav-item"><a href="{{ path('checklist') }}" class="nav-link">Checklist</a></li>
								<li class="nav-item"><a href="#" class="nav-link">FAQ</a></li>
								{# {{ path('faq')}} #}
								<li class="nav-item"><a href="#" class="nav-link">Les Membres</a></li>
								{# {{ path('members') }} #}
								<li class="nav-item"><a class="nav-link mt-4 d-md-none" href="{{ path('app_logout') }}">Me déconnecter</a></li>
							</ul>
						</div>
						{# #navbarNav #}
					</nav>
				</div>
				{# .row #}
			</div>
			{# .container #}
		</header>
		{# .bg-dark #}

		{% block balade %}{% endblock %}

		{% block balade2 %}{% endblock %}

		{% block main %}{% endblock %}

		<footer class="bg-light py-3">
			<div class="container">
				<div class="row">
					<div class="col text-md-center font-weight-bold">
						<a href="{{ path('baladelist') }}" class="text-info">Espace Balades</a>
					</div>
					{# .col #}

					<div class="col text-center font-weight-bold">
						<a href="{{ path('checklist') }}" class="text-info">Checklist</a>
					</div>
					{# .col #}

					<div class="col text-center font-weight-bold">
						<a href="#" class="text-info">FAQ</a>
					</div>
					{# .col #}

					<div class="col text-right text-md-center font-weight-bold">
						<a href="#" class="text-info">Membres</a>
					</div>
					{# .col #}
				</div>
				{# .row #}
			</div>
			{# .container #}
		</footer>

		{# JAVASCRIPT #}
		{{ encore_entry_script_tags('app') }}
		{% block javascripts %}{% endblock %}
	</body>
</html>